﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) Frequency Response (HF/RF) VER
DATE:                  2011-01-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       408
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU3, FSU8, FSU26
#
# Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
#  Subprocedures:
#        Sub FSU Frequency Response (HF) Ref Set /LPNX
#        Sub FSU Frequency Response Tests (HF)
#        Sub FSU Characterize Power Splitter Tracking Errors
#        Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
#        Sub FSU Compute RF Freq Response Reference Uncertainty
#        Sub FSU Frequency Response Tests (RF)
#        Sub FSU Take Sweep (MKPK)
#
#  Required Files:
#        fsu_rf_freq_resp_swpg.jpg
#
#  Additional Equipment Required:
#        Power Splitter, 50 Ohms, DC to 26.5 GHz, Type N, HP/Agilent 11667B
#        Adapter, 3.5 mm (m) to Type N (m), 50 Ohms
#        Cable, coaxial, BNC (m)-(m), 50 Ohms, 48"
#
#  NOTE ON UNCERTAINTY CALCULATIONS:
#    The reference accuracy is computed as:
#    - Worst case, k = 2
#
#  Methodology:
#
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#
#   Frequency Response (1 MHz to 200 GHz):
#      - 9640A-LPNX Specified Accuracy
#      - 9640A-LPNX to UUT Mismatch Uncertainty
#
#   Frequency Response (500 MHz to 3.599 GHz):
#      - E4419() Instrumentation Accuracy
#      - E4419() Floor Specification
#      - 8485A Power Sensor Cal Factor Uncertainty
#      - 8485A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667B to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8485A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {FREQUENCY RESPONSE, < 3.6 GHz}
  1.003  RSLT         =
  1.004  RSLT         =RF Attenuation: 10 dB (DC Coupled)
  1.005  TARGET       -p
  1.006  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (DC)
  1.007  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON;:INP:COUP DC
  1.008  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.009  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.010  SCPI         BAND:RES 10E+3
  1.011  MATH         @TestName = "10 dB Ref Set (HF)"
  1.012  MATH         @Connection = "fsu_direct_to_lpnx"
  1.013  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.014  MATH         @LoadSWR = 1.5; @DC_10dB = 1; @Atten = 10
  1.015  MATH         @AttenType = "RF Attenuation"; @Coupling = "DC"
  1.016  CALL         Sub FSU Frequency Response Tests (HF)
  1.017  JMPL         AC_10dB_HF

  1.018  LABEL        DC_10dB_RF
  1.019  HEAD         -2
  1.020  MATH         @Preamp = 0
  1.021  CALL         Sub FSU Characterize Power Splitter Tracking Errors

  1.022  HEAD         FREQUENCY RESPONSE, < 3.6 GHz
  1.023  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.024  PIC          fsu_rf_freq_resp_swpg.jpg

  1.025  DISP         Ensure the UUT REF OUT (rear) is connected to the
  1.025  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].

  1.026  DISP         The next routine operator intervention
  1.026  DISP         occurs in approximately 14 minutes...

  1.027  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (DC)
  1.028  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON;:INP:COUP DC
  1.029  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.030  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.031  SCPI         BAND:RES 10E+3
  1.032  MATH         @TestName = "10 dB Ref Set (RF)"
  1.033  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @LoadSWR = 1.5
  1.034  MATH         @DevName = "Agilent 11667B"; @AccMode = "Output SWR"
  1.035  MATH         @Chan = "B"
  1.036  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.037  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.038  CALL         Sub FSU Take Sweep (MKPK)
  1.039  SCPI         CALC:MARK:Y?[I]
  1.040  MATH         @UUT_Ref = MEM; @Atten = 10
  1.041  CALL         Sub FSU Frequency Response Tests (RF)
  1.042  JMPL         AC_10dB_RF

  1.043  LABEL        AC_10dB_HF
  1.044  RSLT         =
  1.045  RSLT         =RF Attenuation: 10 dB (AC Coupled)
  1.046  TARGET       -p
  1.047  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (AC)
  1.048  SCPI         FREQ:CENT 128E+6;:INP:COUP AC
  1.049  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.050  MATH         @DC_10dB = 0
  1.051  CALL         Sub FSU Frequency Response Tests (HF)
  1.052  JMPL         DC_5dB_HF

  1.053  LABEL        AC_10dB_RF
  1.054  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (AC)
  1.055  SCPI         FREQ:CENT 128E+6;:INP:COUP AC
  1.056  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.057  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.058  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.059  CALL         Sub FSU Take Sweep (MKPK)
  1.060  SCPI         CALC:MARK:Y?[I]
  1.061  MATH         @UUT_Ref = MEM; @Coupling = "AC"; @Atten = 10
  1.062  CALL         Sub FSU Frequency Response Tests (RF)
  1.063  JMPL         DC_5dB_RF

  1.064  LABEL        DC_5dB_HF
  1.065  RSLT         =
  1.066  RSLT         =RF Attenuation: 5 dB (DC Coupled)
  1.067  TARGET       -p
  1.068  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 5 dB (DC)
  1.069  SCPI         FREQ:CENT 128E+6;:INP:ATT 5 DB;COUP DC
  1.070  MATH         @TestName = "Freq Response: 5 dB"
  1.071  MATH         @TestName = "5 dB Ref Set (HF)"; @Atten = 5
  1.072  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.073  CALL         Sub FSU Frequency Response Tests (HF)
  1.074  JMPL         DC_20dB_HF

  1.075  LABEL        DC_5dB_RF
  1.076  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 5 dB (DC)
  1.077  SCPI         FREQ:CENT 128E+6;:INP:ATT 5 DB;COUP DC
  1.078  MATH         @TestName = "5 dB Ref Set (RF)"
  1.079  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.080  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.081  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.082  CALL         Sub FSU Take Sweep (MKPK)
  1.083  SCPI         CALC:MARK:Y?[I]
  1.084  MATH         @UUT_Ref = MEM; @Coupling = "DC"; @Atten = 5
  1.085  CALL         Sub FSU Frequency Response Tests (RF)
  1.086  JMPL         DC_20dB_RF

  1.087  LABEL        DC_20dB_HF
  1.088  RSLT         =
  1.089  RSLT         =RF Attenuation: 20 dB (DC Coupled)
  1.090  TARGET       -p
  1.091  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB (DC)
  1.092  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  1.093  MATH         @TestName = "20 dB Ref Set (HF)"; @Atten = 20
  1.094  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.095  CALL         Sub FSU Frequency Response Tests (HF)
  1.096  JMPL         DC_40dB_HF

  1.097  LABEL        DC_20dB_RF
  1.098  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB (DC)
  1.099  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  1.100  MATH         @TestName = "20 dB Ref Set (RF)"
  1.101  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.102  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.103  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.104  CALL         Sub FSU Take Sweep (MKPK)
  1.105  SCPI         CALC:MARK:Y?[I]
  1.106  MATH         @UUT_Ref = MEM; @Atten = 20
  1.107  CALL         Sub FSU Frequency Response Tests (RF)
  1.108  JMPL         DC_40dB_RF

  1.109  LABEL        DC_40dB_HF
  1.110  RSLT         =
  1.111  RSLT         =RF Attenuation: 40 dB (DC Coupled)
  1.112  TARGET       -p
  1.113  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB (DC)
  1.114  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  1.115  MATH         @TestName = "40 dB Ref Set (HF)"; @Atten = 40
  1.116  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.117  CALL         Sub FSU Frequency Response Tests (HF)
  1.118  JMPL         B25_0dB_HF                   @Opt_B25
  1.119  JMPL         DC_10dB_RF

  1.120  LABEL        DC_40dB_RF
  1.121  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB (DC)
  1.122  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  1.123  MATH         @TestName = "40 dB Ref Set (RF)"
  1.124  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.125  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.126  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.127  CALL         Sub FSU Take Sweep (MKPK)
  1.128  SCPI         CALC:MARK:Y?[I]
  1.129  MATH         @UUT_Ref = MEM; @Atten = 40
  1.130  CALL         Sub FSU Frequency Response Tests (RF)
  1.131  JMPL         B25_0dB_RF                   @Opt_B25

  1.132  MATH         DEL("@Chan")
  1.133  JMPL         END

  1.134  LABEL        B25_0dB_HF
  1.135  RSLT         =
  1.136  HEAD         {FREQUENCY RESPONSE, < 3.6 GHz (FSU-B25 Option)}
  1.137  RSLT         =
  1.138  RSLT         =Electronic Attenuator: 0 dB
  1.139  TARGET       -p
  1.140  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  1.141  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.142  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.143  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.144  SCPI         BAND:RES 10E+3;:INP:EATT:STAT ON;:INP:EATT 0 DB
  1.145  MATH         @TestName = "0 dB Ref Set (HF)"
  1.146  MATH         @Connection = "fsu_direct_to_lpnx"
  1.147  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.148  MATH         @LoadSWR = 1.5; @DC_10dB = 0; @B25_On = 1
  1.149  MATH         @AttenType = "Electronic Attenuator"
  1.150  CALL         Sub FSU Frequency Response Tests (HF)
  1.151  JMPL         B25_5dB_HF

  1.152  LABEL        B25_0dB_RF
  1.153  HEAD         FREQUENCY RESPONSE, < 3.6 GHz (FSU-B25 Option)
  1.154  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  1.155  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.156  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.157  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.158  SCPI         BAND:RES 10E+3;:INP:EATT:STAT ON;:INP:EATT 0 DB
  1.159  MATH         @TestName = "0 dB Ref Set (RF)"
  1.160  MATH         @TestFreq = "128 MHz"; @TestLvl = +1
  1.161  MATH         @DevName = "Agilent 11667B"; @AccMode = "Output SWR"
  1.162  MATH         @Chan = "B"; @B25_On = 1
  1.163  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.164  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.165  CALL         Sub FSU Take Sweep (MKPK)
  1.166  SCPI         CALC:MARK:Y?[I]
  1.167  MATH         @UUT_Ref = MEM; @Coupling = "DC"; @Atten = 0
  1.168  CALL         Sub FSU Frequency Response Tests (RF)
  1.169  JMPL         B25_5dB_RF

  1.170  LABEL        B25_5dB_HF
  1.171  RSLT         =
  1.172  RSLT         =Electronic Attenuator: 5 dB
  1.173  TARGET       -p
  1.174  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  1.175  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  1.176  MATH         @TestName = "5 dB Ref Set (HF)"
  1.177  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.178  MATH         @DC_10dB = 0
  1.179  CALL         Sub FSU Frequency Response Tests (HF)
  1.180  JMPL         B25_10dB_HF

  1.181  LABEL        B25_5dB_RF
  1.182  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  1.183  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  1.184  MATH         @TestName = "5 dB Ref Set (RF)"
  1.185  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.186  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.187  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.188  CALL         Sub FSU Take Sweep (MKPK)
  1.189  SCPI         CALC:MARK:Y?[I]
  1.190  MATH         @UUT_Ref = MEM; @Atten = 5
  1.191  CALL         Sub FSU Frequency Response Tests (RF)
  1.192  JMPL         B25_10dB_RF

  1.193  LABEL        B25_10dB_HF
  1.194  RSLT         =
  1.195  RSLT         =Electronic Attenuator: 10 dB
  1.196  TARGET       -p
  1.197  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  1.198  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  1.199  MATH         @TestName = "10 dB Ref Set (HF)"
  1.200  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.201  CALL         Sub FSU Frequency Response Tests (HF)
  1.202  JMPL         B25_15dB_HF

  1.203  LABEL        B25_10dB_RF
  1.204  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  1.205  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  1.206  MATH         @TestName = "10 dB Ref Set (RF)"
  1.207  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.208  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.209  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.210  CALL         Sub FSU Take Sweep (MKPK)
  1.211  SCPI         CALC:MARK:Y?[I]
  1.212  MATH         @UUT_Ref = MEM; @Atten = 10
  1.213  CALL         Sub FSU Frequency Response Tests (RF)
  1.214  JMPL         B25_15dB_RF

  1.215  LABEL        B25_15dB_HF
  1.216  RSLT         =
  1.217  RSLT         =Electronic Attenuator: 15 dB
  1.218  TARGET       -p
  1.219  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  1.220  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  1.221  MATH         @TestName = "15 dB Ref Set (HF)"
  1.222  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.223  CALL         Sub FSU Frequency Response Tests (HF)
  1.224  JMPL         B25_20dB_HF

  1.225  LABEL        B25_15dB_RF
  1.226  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  1.227  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  1.228  MATH         @TestName = "15 dB Ref Set (RF)"
  1.229  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.230  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.231  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.232  CALL         Sub FSU Take Sweep (MKPK)
  1.233  SCPI         CALC:MARK:Y?[I]
  1.234  MATH         @UUT_Ref = MEM; @Atten = 15
  1.235  CALL         Sub FSU Frequency Response Tests (RF)
  1.236  JMPL         B25_20dB_RF

  1.237  LABEL        B25_20dB_HF
  1.238  RSLT         =
  1.239  RSLT         =Electronic Attenuator: 20 dB
  1.240  TARGET       -p
  1.241  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 20 dB
  1.242  SCPI         FREQ:CENT 128E+6;:INP:EATT 20 DB
  1.243  MATH         @TestName = "20 dB Ref Set (HF)"
  1.244  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.245  CALL         Sub FSU Frequency Response Tests (HF)
  1.246  JMPL         B25_25dB_HF

  1.247  LABEL        B25_20dB_RF
  1.248  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 20 dB
  1.249  SCPI         FREQ:CENT 128E+6;:INP:EATT 20 DB
  1.250  MATH         @TestName = "20 dB Ref Set (RF)"
  1.251  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.252  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.253  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.254  CALL         Sub FSU Take Sweep (MKPK)
  1.255  SCPI         CALC:MARK:Y?[I]
  1.256  MATH         @UUT_Ref = MEM; @Atten = 20
  1.257  CALL         Sub FSU Frequency Response Tests (RF)
  1.258  JMPL         B25_25dB_RF

  1.259  LABEL        B25_25dB_HF
  1.260  RSLT         =
  1.261  RSLT         =Electronic Attenuator: 25 dB
  1.262  TARGET       -p
  1.263  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 25 dB
  1.264  SCPI         FREQ:CENT 128E+6;:INP:EATT 25 DB
  1.265  MATH         @TestName = "25 dB Ref Set (HF)"
  1.266  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.267  CALL         Sub FSU Frequency Response Tests (HF)
  1.268  JMPL         B25_30dB_HF

  1.269  LABEL        B25_25dB_RF
  1.270  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 25 dB
  1.271  SCPI         FREQ:CENT 128E+6;:INP:EATT 25 DB
  1.272  MATH         @TestName = "25 dB Ref Set (RF)"
  1.273  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.274  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.275  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.276  CALL         Sub FSU Take Sweep (MKPK)
  1.277  SCPI         CALC:MARK:Y?[I]
  1.278  MATH         @UUT_Ref = MEM; @Atten = 25
  1.279  CALL         Sub FSU Frequency Response Tests (RF)
  1.280  JMPL         B25_30dB_RF

  1.281  LABEL        B25_30dB_HF
  1.282  RSLT         =
  1.283  RSLT         =Electronic Attenuator: 30 dB
  1.284  TARGET       -p
  1.285  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 30 dB
  1.286  SCPI         FREQ:CENT 128E+6;:INP:EATT 30 DB
  1.287  MATH         @TestName = "30 dB Ref Set (HF)"
  1.288  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.289  CALL         Sub FSU Frequency Response Tests (HF)
  1.290  MATH         DEL("@B25_On")
  1.291  JMPL         DC_10dB_RF

  1.292  LABEL        B25_30dB_RF
  1.293  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 30 dB
  1.294  SCPI         FREQ:CENT 128E+6;:INP:EATT 30 DB
  1.295  MATH         @TestName = "30 dB Ref Set (RF)"
  1.296  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.297  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.298  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.299  CALL         Sub FSU Take Sweep (MKPK)
  1.300  SCPI         CALC:MARK:Y?[I]
  1.301  MATH         @UUT_Ref = MEM; @Atten = 30
  1.302  CALL         Sub FSU Frequency Response Tests (RF)
  1.303  MATH         DEL("@Chan"); DEL("@B25_On")

  1.304  LABEL        END
  1.305  HEAD         -2
  1.306  SCPI         SYST:PRES
  1.307  HEAD
  1.308  END
