﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) IF Image Rejection VER /SWPG
DATE:                  2011-01-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       30
NUMBER OF LINES:       457
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub FSU IF Image/Rejection Test /SWPG
#        Sub FSU Take Sweep (MKPK)
#
#  Required Files:
#        fsu_freq_resp_hookup_swpg.jpg
#
#  Additional Equipment Required:
#        None
#
#  Test points were taken from R&S Calibration Certificate.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

# Except for the FSU3, the UUT remains connected to the SWPG via a power
# splitter and power meter and sensor from a previous test. In the case of the
# FSU3, the operator is prompted to connect the SWPG via the splitter to the
# UUT.

  1.004  RSLT         =
  1.005  HEAD         {IF IMAGE FREQUENCY REJECTION}
  1.006  RSLT         =
  1.007  RSLT         =1st IF Frequency
  1.008  TARGET       -p

  1.009  IF           @FSU3
  1.010  PIC          fsu_freq_resp_hookup_swpg.jpg

  1.011  DISP         Ensure the UUT REF OUT (rear) is connected to the
  1.011  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].

  1.012  DISP         The next routine operator intervention
  1.012  DISP         occurs in approximately 5 minutes...
  1.013  ENDIF

  1.014  HEAD         -2 Center Frequency: 11 MHz
  1.015  MATH         @Error = 0
  1.016  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.017  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
  1.017  SCPI         DISP:WIND:TRAC:Y 100 dB
  1.018  SCPI         FREQ:CENT 11E+6;SPAN 100E+3;:BAND:RES 3E+3
  1.019  SCPI         CALC:MARK:STAT ON
# Parameters associated with mismatch and tracking uncertainty:
  1.020  MATH         @DevName1       = "Agilent E4419B"
  1.021  MATH         @SensorAccMode  = "Watts 100mW F64"
  1.022  MATH         @SensorSWR_Mode = "SWR 8485A"
  1.023  MATH         @DevName2       = "Agilent 11667B"
  1.024  MATH         @SpltrSWR_Mode  = "Output SWR"
  1.025  MATH         @SpltrTrackMode = "Tracking"
  1.026  MATH         @UUT_SWR        = 1.5
# Parameters associated with UUT level uncertainty (normalized):
#   Absolute Level Uncertainty at 128 MHz (dB):
  1.027  MATH         @AbsLevUnc = DBTOPCTW_D(0.2) / 3
#   Frequency Response (dB):
  1.028  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
#   Input Attenuator Switching (dB):
  1.029  MATH         @InpAttSw  = DBTOPCTW_D(0.2) / 3
#   Display Linearity (dB):
  1.030  MATH         @DispLin   = DBTOPCTW_D(0.3) / 3
#   Bandwidth Switching Error (dB):
  1.031  MATH         @BandSwErr = DBTOPCTW_D(0.1) / 3
#   Resolution Bandwidth Error (%):
  1.032  MATH         @RBW_Error   = (3) / 3

  1.033  TSET         TDESC = 11 MHz
# Set SWPG output to (test) frequency + 9256.8 MHz.
  1.034  MATH         @SWPG_Freq  = "9267.8MHz"
# 8485A Cal Factor Uncertainty from Agilent (normalized).
  1.035  MATH         @CalFactUnc = 1.7 / 2
  1.036  CALL         Sub FSU IF Image/Rejection Test /SWPG
  1.037  TARGET       -m
  1.038  CALL         Sub FSU Take Sweep (MKPK)
  1.039  SCPI         CALC:MARK:Y?[I]
  1.040  ACC    -130  dB             M1U
  1.041  MEMCX  -130  -90.0dB        -40.0U

  2.001  HEAD         -2 Center Frequency: 101 MHz
  2.002  TSET         TDESC = 101 MHz
  2.003  MATH         @SWPG_Freq = "9357.8MHz"
  2.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  2.005  TARGET       -m
  2.006  CALL         Sub FSU Take Sweep (MKPK)
  2.007  SCPI         CALC:MARK:Y?[I]
  2.008  ACC    -130  dB             M1U
  2.009  MEMCX  -130  -90.0dB        -40.0U

  3.001  HEAD         -2 Center Frequency: 501 MHz
  3.002  TSET         TDESC = 501 MHz
  3.003  MATH         @SWPG_Freq = "9757.8MHz"
  3.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  3.005  TARGET       -m
  3.006  CALL         Sub FSU Take Sweep (MKPK)
  3.007  SCPI         CALC:MARK:Y?[I]
  3.008  ACC    -130  dB             M1U
  3.009  MEMCX  -130  -90.0dB        -40.0U

  4.001  HEAD         -2 Center Frequency: 901 MHz
  4.002  TSET         TDESC = 901 MHz
  4.003  MATH         @SWPG_Freq  = "10157.8MHz"
  4.004  MATH         @CalFactUnc = 1.9 / 2
  4.005  CALL         Sub FSU IF Image/Rejection Test /SWPG
  4.006  TARGET       -m
  4.007  CALL         Sub FSU Take Sweep (MKPK)
  4.008  SCPI         CALC:MARK:Y?[I]
  4.009  ACC    -130  dB             M1U
  4.010  MEMCX  -130  -90.0dB        -40.0U

  5.001  HEAD         -2 Center Frequency: 1301 MHz
  5.002  TSET         TDESC = 1301 MHz
  5.003  MATH         @SWPG_Freq = "10557.8MHz"
  5.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  5.005  TARGET       -m
  5.006  CALL         Sub FSU Take Sweep (MKPK)
  5.007  SCPI         CALC:MARK:Y?[I]
  5.008  ACC    -130  dB             M1U
  5.009  MEMCX  -130  -90.0dB        -40.0U

  6.001  HEAD         -2 Center Frequency: 1701 MHz
  6.002  TSET         TDESC = 1701 MHz
  6.003  MATH         @SWPG_Freq = "10957.8MHz"
  6.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  6.005  TARGET       -m
  6.006  CALL         Sub FSU Take Sweep (MKPK)
  6.007  SCPI         CALC:MARK:Y?[I]
  6.008  ACC    -130  dB             M1U
  6.009  MEMCX  -130  -90.0dB        -40.0U

  7.001  HEAD         -2 Center Frequency: 2101 MHz
  7.002  TSET         TDESC = 2101 MHz
  7.003  MATH         @SWPG_Freq = "11357.8MHz"
  7.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  7.005  TARGET       -m
  7.006  CALL         Sub FSU Take Sweep (MKPK)
  7.007  SCPI         CALC:MARK:Y?[I]
  7.008  ACC    -130  dB             M1U
  7.009  MEMCX  -130  -90.0dB        -40.0U

  8.001  HEAD         -2 Center Frequency: 2501 MHz
  8.002  TSET         TDESC = 2501 MHz
  8.003  MATH         @SWPG_Freq = "11757.8MHz"
  8.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  8.005  TARGET       -m
  8.006  CALL         Sub FSU Take Sweep (MKPK)
  8.007  SCPI         CALC:MARK:Y?[I]
  8.008  ACC    -130  dB             M1U
  8.009  MEMCX  -130  -90.0dB        -40.0U

  9.001  HEAD         -2 Center Frequency: 3101 MHz
  9.002  TSET         TDESC = 3101 MHz
  9.003  MATH         @SWPG_Freq = "12357.8MHz"
  9.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  9.005  TARGET       -m
  9.006  CALL         Sub FSU Take Sweep (MKPK)
  9.007  SCPI         CALC:MARK:Y?[I]
  9.008  ACC    -130  dB             M1U
  9.009  MEMCX  -130  -90.0dB        -40.0U

 10.001  HEAD         -2 Center Frequency: 3599 MHz
 10.002  TSET         TDESC = 3599 MHz
 10.003  MATH         @SWPG_Freq = "12855.8MHz"
 10.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 10.005  TARGET       -m
 10.006  CALL         Sub FSU Take Sweep (MKPK)
 10.007  SCPI         CALC:MARK:Y?[I]
 10.008  ACC    -130  dB             M1U
 10.009  MEMCX  -130  -90.0dB        -40.0U

 11.001  RSLT         =
 11.002  RSLT         =2nd IF Frequency

 11.003  HEAD         -2 Center Frequency: 101 MHz
 11.004  TARGET       -p
 11.005  TSET         TDESC = 101 MHz
# Set SWPG output to (test) frequency + 808.8 MHz.
 11.006  MATH         @SWPG_Freq  = "909.8MHz"
 11.007  MATH         @CalFactUnc = 1.4 / 2
 11.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
 11.009  TARGET       -m
 11.010  CALL         Sub FSU Take Sweep (MKPK)
 11.011  SCPI         CALC:MARK:Y?[I]
 11.012  ACC    -130  dB             M1U
 11.013  MEMCX  -130  -90.0dB        -40.0U

 12.001  IF           (@FSU8) || (@FSU26)
 12.002  HEAD         -2 Center Frequency: 4199 MHz
 12.003  TSET         TDESC = 4199 MHz
 12.004  MATH         @SWPG_Freq  = "5007.8MHz"
 12.005  MATH         @CalFactUnc = 1.7 / 2
 12.006  MATH         @FreqResp   = DBTOPCTW_D(1.5) / 3

 12.007  IF           @FSU8
 12.008  MATH         @UUT_SWR = 2.0
 12.009  ELSE
 12.010  MATH         @UUT_SWR = 1.8
 12.011  ENDIF

 12.012  CALL         Sub FSU IF Image/Rejection Test /SWPG
 12.013  TARGET       -m
 12.014  CALL         Sub FSU Take Sweep (MKPK)
 12.015  SCPI         CALC:MARK:Y?[I]
 12.016  ACC    -130  dB             M1U
 12.017  MEMCX  -130  -70.0dB        -60.0U

 13.001  HEAD         -2 Center Frequency: 5501 MHz
 13.002  TSET         TDESC = 5501 MHz
 13.003  MATH         @SWPG_Freq  = "6309.8MHz"
 13.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 13.005  TARGET       -m
 13.006  CALL         Sub FSU Take Sweep (MKPK)
 13.007  SCPI         CALC:MARK:Y?[I]
 13.008  ACC    -130  dB             M1U
 13.009  MEMCX  -130  -70.0dB        -60.0U

 14.001  HEAD         -2 Center Frequency: 7999 MHz
 14.002  TSET         TDESC = 7999 MHz
 14.003  MATH         @SWPG_Freq = "8807.8MHz"
 14.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 14.005  TARGET       -m
 14.006  CALL         Sub FSU Take Sweep (MKPK)
 14.007  SCPI         CALC:MARK:Y?[I]
 14.008  ACC    -130  dB             M1U
 14.009  MEMCX  -130  -70.0dB        -60.0U

 15.001  IF           @FSU26
 15.002  HEAD         -2 Center Frequency: 25301 MHz
 15.003  TSET         TDESC = 25301 MHz
 15.004  MATH         @SWPG_Freq  = "26109.8MHz"
 15.005  MATH         @FreqResp   = DBTOPCTW_D(2.5) / 3
 15.006  MATH         @UUT_SWR    = 2.0
 15.007  MATH         @CalFactUnc = 2.6 / 2
 15.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
 15.009  TARGET       -m
 15.010  CALL         Sub FSU Take Sweep (MKPK)
 15.011  SCPI         CALC:MARK:Y?[I]
 15.012  ACC    -130  dB             M1U
 15.013  MEMCX  -130  -70.0dB        -60.0U

 16.001  HEAD         -2 Center Frequency: 26499 MHz
 16.002  TSET         TDESC = 26499 MHz
# Set SWPG output to (test) frequency - 808.8 MHz.
 16.003  MATH         @SWPG_Freq = "25690.2MHz"
 16.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 16.005  TARGET       -m
 16.006  CALL         Sub FSU Take Sweep (MKPK)
 16.007  SCPI         CALC:MARK:Y?[I]
 16.008  ACC    -130  dB             M1U
 16.009  MEMCX  -130  -70.0dB        -60.0U
 17.001  ENDIF        ; @FSU26

 17.002  ENDIF        ; (@FSU8) || (@FSU26)

 17.003  RSLT         =
 17.004  RSLT         =3rd IF Frequency
 17.005  TARGET       -p
 17.006  HEAD         -2 Center Frequency: 101 MHz
 17.007  TSET         TDESC = 101 MHz
# Set SWPG output to (test) frequency + 40.8 MHz.
 17.008  MATH         @SWPG_Freq  = "141.8MHz"
 17.009  MATH         @UUT_SWR    = 1.5
 17.010  MATH         @CalFactUnc = 1.4 / 2
 17.011  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
 17.012  CALL         Sub FSU IF Image/Rejection Test /SWPG
 17.013  TARGET       -m
 17.014  CALL         Sub FSU Take Sweep (MKPK)
 17.015  SCPI         CALC:MARK:Y?[I]
 17.016  ACC    -130  dB             M1U
 17.017  MEMCX  -130  -90.0dB        -40.0U

 18.001  IF           @FSU3
 18.002  HEAD         -2 Center Frequency: 2000 MHz
 18.003  TSET         TDESC = 2000 MHz
 18.004  MATH         @SWPG_Freq = "2040.8MHz"
 18.005  CALL         Sub FSU IF Image/Rejection Test /SWPG
 18.006  TARGET       -m
 18.007  CALL         Sub FSU Take Sweep (MKPK)
 18.008  SCPI         CALC:MARK:Y?[I]
 18.009  ACC    -130  dB             M1U
 18.010  MEMCX  -130  -70.0dB        -60.0U

 19.001  ELSE

 19.002  IF           @FSU26
 19.003  HEAD         -2 Center Frequency: 20000 MHz
 19.004  TSET         TDESC = 20000 MHz
 19.005  MATH         @SWPG_Freq  = "20040.8MHz"
 19.006  MATH         @UUT_SWR    = 2.0
 19.007  MATH         @CalFactUnc = 2.1 / 2
 19.008  MATH         @FreqResp  = DBTOPCTW_D(2.0) / 3
 19.009  CALL         Sub FSU IF Image/Rejection Test /SWPG
 19.010  TARGET       -m
 19.011  CALL         Sub FSU Take Sweep (MKPK)
 19.012  SCPI         CALC:MARK:Y?[I]
 19.013  ACC    -130  dB             M1U
 19.014  MEMCX  -130  -70.0dB        -60.0U
 20.001  ENDIF

 20.002  HEAD         -2 Center Frequency: 3799 MHz
 20.003  TSET         TDESC = 3799 MHz
 20.004  MATH         @SWPG_Freq  = "3839.8MHz"
 20.005  MATH         @UUT_SWR    = 2.0
 20.006  MATH         @CalFactUnc = 1.4 / 2
 20.007  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
 20.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
 20.009  TARGET       -m
 20.010  CALL         Sub FSU Take Sweep (MKPK)
 20.011  SCPI         CALC:MARK:Y?[I]
 20.012  ACC    -130  dB             M1U
 20.013  MEMCX  -130  -70.0dB        -60.0U
 21.001  ENDIF

 21.002  HEAD         -2
 21.003  CALL         Sub Initialize /SWPG
 21.004  CALL         Sub Reset /SWPG
 21.005  SCPI         SYST:PRES
 21.006  HEAD

 21.007  RSLT         =
 21.008  HEAD         {IF REJECTION}
 21.009  RSLT         =
 21.010  RSLT         =1st IF Frequency
 21.011  TARGET       -p

 21.012  HEAD         -2 Center Frequency: 11 MHz
 21.013  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 21.014  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
 21.015  SCPI         DISP:WIND:TRAC:Y 100 dB
 21.016  SCPI         FREQ:CENT 11E+6;SPAN 100E+3;:BAND:RES 3E+3
 21.017  SCPI         CALC:MARK:STAT ON

 21.018  TSET         TDESC = 11 MHz
 21.019  MATH         @SWPG_Freq  = "4628.4MHz"
 21.020  MATH         @CalFactUnc = 0.91 / 2
 21.021  CALL         Sub FSU IF Image/Rejection Test /SWPG
 21.022  TARGET       -m
 21.023  CALL         Sub FSU Take Sweep (MKPK)
 21.024  SCPI         CALC:MARK:Y?[I]
 21.025  ACC    -130  dB             M1U
 21.026  MEMCX  -130  -90.0dB        -40.0U

 22.001  HEAD         -2 Center Frequency: 101 MHz
 22.002  TSET         TDESC = 101 MHz
 22.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 22.004  TARGET       -m
 22.005  CALL         Sub FSU Take Sweep (MKPK)
 22.006  SCPI         CALC:MARK:Y?[I]
 22.007  ACC    -130  dB             M1U
 22.008  MEMCX  -130  -90.0dB        -40.0U

 23.001  HEAD         -2 Center Frequency: 701 MHz
 23.002  TSET         TDESC = 701 MHz
 23.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 23.004  TARGET       -m
 23.005  CALL         Sub FSU Take Sweep (MKPK)
 23.006  SCPI         CALC:MARK:Y?[I]
 23.007  ACC    -130  dB             M1U
 23.008  MEMCX  -130  -90.0dB        -40.0U

 24.001  HEAD         -2 Center Frequency: 1799 MHz
 24.002  TSET         TDESC = 1799 MHz
 24.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 24.004  TARGET       -m
 24.005  CALL         Sub FSU Take Sweep (MKPK)
 24.006  SCPI         CALC:MARK:Y?[I]
 24.007  ACC    -130  dB             M1U
 24.008  MEMCX  -130  -90.0dB        -40.0U

 25.001  HEAD         -2 Center Frequency: 2501 MHz
 25.002  TSET         TDESC = 2501 MHz
 25.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 25.004  TARGET       -m
 25.005  CALL         Sub FSU Take Sweep (MKPK)
 25.006  SCPI         CALC:MARK:Y?[I]
 25.007  ACC    -130  dB             M1U
 25.008  MEMCX  -130  -90.0dB        -40.0U

 26.001  HEAD         -2 Center Frequency: 3599 MHz
 26.002  TSET         TDESC = 3599 MHz
 26.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 26.004  TARGET       -m
 26.005  CALL         Sub FSU Take Sweep (MKPK)
 26.006  SCPI         CALC:MARK:Y?[I]
 26.007  ACC    -130  dB             M1U
 26.008  MEMCX  -130  -90.0dB        -40.0U

 27.001  RSLT         =
 27.002  RSLT         =2nd IF Frequency
 27.003  TARGET       -p
 27.004  HEAD         -2 Center Frequency: 101 MHz
 27.005  TSET         TDESC = 101 MHz
 27.006  MATH         @SWPG_Freq  = "404.4MHz"
 27.007  MATH         @CalFactUnc = 0.77 / 2
 27.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
 27.009  TARGET       -m
 27.010  CALL         Sub FSU Take Sweep (MKPK)
 27.011  SCPI         CALC:MARK:Y?[I]
 27.012  ACC    -130  dB             M1U
 27.013  MEMCX  -130  -90.0dB        -40.0U

 28.001  IF           NOT(@FSU3)
 28.002  HEAD         -2 Center Frequency: 5501 MHz
 28.003  TSET         TDESC = 5501 MHz
 28.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 28.005  TARGET       -m
 28.006  CALL         Sub FSU Take Sweep (MKPK)
 28.007  SCPI         CALC:MARK:Y?[I]
 28.008  ACC    -130  dB             M1U
 28.009  MEMCX  -130  -70.0dB        -60.0U

 29.001  HEAD         -2 Center Frequency: 7999 MHz
 29.002  TSET         TDESC = 7999 MHz
 29.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 29.004  TARGET       -m
 29.005  CALL         Sub FSU Take Sweep (MKPK)
 29.006  SCPI         CALC:MARK:Y?[I]
 29.007  ACC    -130  dB             M1U
 29.008  MEMCX  -130  -70.0dB        -60.0U
 30.001  ENDIF

 30.002  HEAD         -2
 30.003  CALL         Sub Initialize /SWPG
 30.004  CALL         Sub Reset /SWPG
 30.005  SCPI         SYST:PRES
 30.006  HEAD
 30.007  END
