﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) Harmonic Distortion VER /9640
INSTRUMENT:            Sub FSU (1 yr) IF Filter VER /9640
DATE:                  2011-02-07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       542
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSU Second Harmonic Distortion Test /9640
#        Sub FSU Take Sweep Only
#        Sub FSU Take Sweep (MKPK)
#        Sub FSU Set Ref Level (dBm) /9640
#        Sub FSU IF Filter Bandwidth Switching Test /9640
#
#  Required Files:
#        fsu_direct_to_lpnx.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Error = 0
  1.002  JMPL         HARMONIC_DISTORTION          PSUBI("Distortion")
  1.003  JMPL         IF_FILTER                    PSUBI("IF Filter")
  1.004  DISP         Called {Subprocedure Not Found}!
  1.005  END

  1.006  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) Harmonic Distortion VER /9640 ======================

  2.001  LABEL        HARMONIC_DISTORTION
  2.002  RSLT         =
  2.003  HEAD         {SECOND-ORDER HARMONIC DISTORTION}
  2.004  TARGET       -p
  2.005  TSET         TDESC = 28 MHz
  2.006  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.007  PIC          fsu_direct_to_lpnx.jpg

  2.008  DISP         The next routine operator intervention
  2.008  DISP         occurs in approximately 18 minutes...

  2.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.010  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
  2.011  SCPI         DISP:WIND:TRAC:Y 100 DB;:FREQ:SPAN 3E+3;:BAND:RES 1E+3
  2.012  SCPI         CALC:MARK:STAT ON
  2.013  MATH         @Freq = 28E+6; @LoadSWR = 1.5
  2.014  MATH         @Connection = "fsu_direct_to_lpnx"
  2.015  CALL         Sub FSU Second Harmonic Distortion Test /9640
  2.016  TARGET       -m
  2.017  CALL         Sub FSU Take Sweep (MKPK)
  2.018  SCPI         CALC:MARK:Y?[I]
  2.019  MATH         MEM = (MEM + @FreqRespErr) - @Fundamental
  2.020  ACC          dBc            M6U                                   +DW
# Lower limit in TOL field represents specified noise floor of UUT.
  2.021  MEMCX  -100  -35.0dBc       0.0U -65.0U

  3.001  TSET         TDESC = 261 MHz
  3.002  MATH         @Freq = 261E+6
  3.003  CALL         Sub FSU Second Harmonic Distortion Test /9640
  3.004  TARGET       -m
  3.005  CALL         Sub FSU Take Sweep (MKPK)
  3.006  SCPI         CALC:MARK:Y?[I]
  3.007  MATH         MEM = (MEM + @FreqRespErr) - @Fundamental
  3.008  ACC          dBc            M6U                                   +DW
  3.009  MEMCX  -100  -45.0dBc       -55.0U

  4.001  TSET         TDESC = 450 MHz
  4.002  MATH         @Freq = 450E+6
  4.003  CALL         Sub FSU Second Harmonic Distortion Test /9640
  4.004  TARGET       -m
  4.005  CALL         Sub FSU Take Sweep (MKPK)
  4.006  SCPI         CALC:MARK:Y?[I]
  4.007  MATH         MEM = (MEM + @FreqRespErr) - @Fundamental
  4.008  ACC          dBc            M6U                                   +DW
  4.009  MEMCX  -100  -52.0dBc       -48.0U

  5.001  IF           @Opt_B88
  5.002  TSET         TDESC = 900 MHz
  5.003  MATH         @Freq = 900E+6
  5.004  CALL         Sub FSU Second Harmonic Distortion Test /9640
  5.005  TARGET       -m
  5.006  CALL         Sub FSU Take Sweep (MKPK)
  5.007  SCPI         CALC:MARK:Y?[I]
  5.008  MATH         MEM = (MEM + @FreqRespErr) - @Fundamental
  5.009  ACC          dBc            M6U                                   +DW
  5.010  MEMCX  -100  -55.0dBc       -45.0U
  6.001  ENDIF

  6.002  TSET         TDESC = 1000 MHz
  6.003  MATH         @Freq = 1E+9
  6.004  CALL         Sub FSU Second Harmonic Distortion Test /9640
  6.005  TARGET       -m
  6.006  CALL         Sub FSU Take Sweep (MKPK)
  6.007  SCPI         CALC:MARK:Y?[I]
  6.008  MATH         MEM = (MEM + @FreqRespErr) - @Fundamental
  6.009  ACC          dBc            M6U                                   +DW
  6.010  MEMCX  -100  -45.0dBc       -55.0U

  7.001  TSET         TDESC = 1700 MHz
  7.002  MATH         @Freq = 1.7E+9
  7.003  CALL         Sub FSU Second Harmonic Distortion Test /9640
  7.004  TARGET       -m
  7.005  CALL         Sub FSU Take Sweep (MKPK)
  7.006  SCPI         CALC:MARK:Y?[I]
  7.007  MATH         MEM = (MEM + @FreqRespErr) - @Fundamental
  7.008  ACC          dBc            M6U                                   +DW
  7.009  MEMCX  -100  -35.0dBc       -65.0U

  8.001  HEAD         -2
  8.002  9640         Reset
  8.003  SCPI         SYST:PRES

  8.004  END

  8.005  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) IF Filter VER /9640 ================================

# It is assumed a direct connection was previously made between the 9640A and
# the UUT RF INPUT 50 Ohms.

  9.001  LABEL        IF_FILTER
  9.002  RSLT         =
  9.003  HEAD         {IF FILTER}
  9.004  RSLT         =
  9.005  RSLT         =Bandwidth Switching Error (10 kHz RBW Reference)

  9.006  LABEL        START_ANALOG_FILTER
  9.007  HEAD         -2 Bandwidth Switching Error: 10 kHz RBW Reference
  9.008  TSET         TDESC = 100 Hz; NTHROW = 2; NMEAS = 2
  9.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  9.010  SCPI         DISP:WIND:TRAC:Y:RLEV -15;:INP:ATT 10dB
  9.011  SCPI         FREQ:CENT 128E+6;SPAN 5E+3;*WAI
  9.012  SCPI         DET:FUNC RMS;*WAI;:BAND:RES 10E+3
  9.013  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.013  9640         +Level = -20 dBm; Freq = 128 MHz
  9.014  MATH         @MkrMode = "Normal"
  9.015  CALL         Sub FSU Take Sweep (MKPK)
  9.016  SCPI         CALC:MARK:Y?[I]
  9.017  MATH         @TestName = "IF Filter: 100 Hz"
  9.018  MATH         @Connection = "fsu_direct_to_lpnx"
  9.019  MATH         @FSU_RefLvl = -20; @9640Lvl = @FSU_RefLvl
  9.020  MATH         @9640Freq = 128E+6; @9640RefIn = 10E+6

  9.021  WHILE        ((MEM <= -20.02) || (MEM >= -19.98)) && NOT(@Error)
  9.022  CALL         Sub FSU Set Ref Level (dBm) /9640
  9.023  ENDW

  9.024  IF           @Error
  9.025  EVAL   -e 0 : An error occurred during the [V @TestName].
 10.001  MATH         @Error = 0
 10.002  END
 10.003  ENDIF

 10.004  JMPL         CONTINUE_ANALOG_FILTER
 10.005  TARGET       -p
 10.006  JMPL         START_ANALOG_FILTER

 10.007  LABEL        CONTINUE_ANALOG_FILTER
 10.008  HEAD         -2 RBW Setting: 100 Hz
 10.009  SCPI         CALC:DELT:FUNC:FIX:STAT ON
 10.010  SCPI         FREQ:SPAN 50;*WAI;:BAND:RES 100
# Specify marker function for use in subsequent UUT 'Take Sweep' call.
 10.011  MATH         @MkrMode = "Delta"
 10.012  TOL          0.10U
 10.013  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.014  HEAD         -2 Bandwidth Switching Error: 1 kHz RBW
 10.015  TARGET       -p
 10.016  TSET         TDESC = 1 kHz
 10.017  SCPI         BAND:RES 1E+3;*WAI;:FREQ:SPAN 500
 10.018  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.019  HEAD         -2 Bandwidth Switching Error: 100 kHz RBW
 10.020  TARGET       -p
 10.021  TSET         TDESC = 100 kHz
 10.022  SCPI         BAND:RES 100E+3;:FREQ:SPAN 50E+3
 10.023  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.024  HEAD         -2 Bandwidth Switching Error: 300 kHz RBW
 10.025  TARGET       -p
 10.026  TSET         TDESC = 300 kHz
 10.027  SCPI         BAND:RES 300E+3;:FREQ:SPAN 150E+3
 10.028  TOL          0.20U
 10.029  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.030  HEAD         -2 Bandwidth Switching Error: 1 MHz RBW
 10.031  TARGET       -p
 10.032  TSET         TDESC = 1 MHz
 10.033  SCPI         BAND:RES 1E+6;:FREQ:SPAN 500E+3
 10.034  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.035  HEAD         -2 Bandwidth Switching Error: 3 MHz RBW
 10.036  TARGET       -p
 10.037  TSET         TDESC = 3 MHz
 10.038  SCPI         BAND:RES 3E+6;:FREQ:SPAN 1.5E+6
 10.039  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.040  HEAD         -2 Bandwidth Switching Error: 10 MHz RBW
 10.041  TARGET       -p
 10.042  TSET         TDESC = 10 MHz
 10.043  SCPI         BAND:RES 10E+6;:FREQ:SPAN 5E+6
 10.044  TOL          0.50U
 10.045  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.046  HEAD         -2 Bandwidth Switching Error: 20 MHz RBW
 10.047  TARGET       -p
 10.048  TSET         TDESC = 20 MHz
 10.049  SCPI         BAND:RES 20E+6;:FREQ:SPAN 10E+6
 10.050  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.051  HEAD         -2 Bandwidth Switching Error: 50 MHz RBW
 10.052  TARGET       -p
 10.053  TSET         TDESC = 50 MHz
 10.054  SCPI         BAND:RES 50E+6;:FREQ:SPAN 25E+6;:CALC:MARK:X:SLIM ON
 10.055  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 10.056  RSLT         =
 10.057  RSLT         =FFT Bandwidth Switching Error (10 kHz RBW Reference)

 10.058  LABEL        START_FFT_FILTER
 10.059  HEAD         -2 FFT Bandwidth Switching Error: 10 kHz RBW Reference
 10.060  TSET         TDESC = 100 Hz
 10.061  SCPI         CALC:MARK:X:SLIM OFF
 10.062  SCPI         BAND:TYPE FFT;RES 10E+3;:FREQ:SPAN 5E+3
 10.063  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.063  9640         +Level = -10 dBm; Freq = 128 MHz
 10.064  CALL         Sub FSU Take Sweep (MKPK)
 10.065  SCPI         CALC:MARK:Y?[I]
 10.066  MATH         @9640Lvl = -20; @TestLvl = @9640Lvl
 10.067  MATH         @9640Freq = 128E+6
 10.068  CALL         Sub FSU Take Sweep (MKPK)
 10.069  SCPI         CALC:MARK:Y?[I]

 10.070  WHILE        ((MEM <= -20.02) || (MEM >= -19.98)) && NOT(@Error)
 10.071  CALL         Sub FSU Set Ref Level (dBm) /9640
 10.072  ENDW

 10.073  IF           @Error
 10.074  EVAL   -e 0 : An error occurred during the [V @TestName].
 11.001  MATH         @Error = 0
 11.002  END
 11.003  ENDIF

 11.004  JMPL         CONTINUE_FFT_FILTER
 11.005  TARGET       -p
 11.006  JMPL         START_FFT_FILTER

 11.007  LABEL        CONTINUE_FFT_FILTER
 11.008  HEAD         -2 FFT Bandwidth Switching Error: 100 Hz RBW
 11.009  SCPI         BAND:TYPE FFT;RES 100;*WAI;:FREQ:SPAN 50;*WAI
 11.010  TOL          0.20U
 11.011  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 11.012  HEAD         -2 FFT Bandwidth Switching Error: 300 Hz RBW
 11.013  TARGET       -p
 11.014  TSET         TDESC = 300 Hz
 11.015  SCPI         BAND:RES 300;:FREQ:SPAN 150
 11.016  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 11.017  HEAD         -2 FFT Bandwidth Switching Error: 1 kHz RBW
 11.018  TARGET       -p
 11.019  TSET         TDESC = 1 kHz
 11.020  SCPI         BAND:RES 1E+3;:FREQ:SPAN 500
 11.021  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 11.022  HEAD         -2 FFT Bandwidth Switching Error: 3 kHz RBW
 11.023  TARGET       -p
 11.024  TSET         TDESC = 3 kHz
 11.025  SCPI         BAND:RES 3E+3;:FREQ:SPAN 1.5E+3
 11.026  CALL         Sub FSU IF Filter Bandwidth Switching Test /9640

 11.027  9640         Reset
 11.028  MATH         @MkrMode = "Normal"
 11.029  SCPI         SYST:PRES

 11.030  RSLT         =
 11.031  HEAD         -2 {3 dB Bandwidth}: 100 Hz
 11.032  TARGET       -p
 11.033  TSET         TDESC = 100 Hz
 11.034  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 11.035  SCPI         INP:ATT 10dB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
 11.035  SCPI         DISP:WIND:TRAC:Y 100 dB
 11.036  SCPI         FREQ:CENT 128E+6;SPAN 300
 11.037  SCPI         BAND:RES 100;:CALC:MARK:STAT ON
 11.038  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.038  9640         +Level = 0 dBm; Freq = 128 MHz
# Accuracy is UUT Marker Frequency Counter Resolution at selected RBW.
 11.039  ACC          100.0Hz        1.0U
 11.040  SCPI         CALC:MARK:FUNC:NDBD 3dB;NDBD:STAT ON
 11.041  TARGET       -m
 11.042  CALL         Sub FSU Take Sweep (MKPK)
 11.043  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
# Store actual 3 dB bandwidth, in base units, for later use in shape factor.
 11.044  MATH         RBW_100Hz = MEM
 11.045  MEMCX        100.0Hz        3%

 12.001  HEAD         -2 3 dB Bandwidth: 1 kHz
 12.002  TSET         TDESC = 1 kHz
 12.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.003  9640         +Level = 0 dBm; Freq = 128 MHz
 12.004  SCPI         BAND:RES 1E+3;:FREQ:SPAN 3E+3
 12.005  ACC          1.000kHz       0.010U
 12.006  TARGET       -m
 12.007  CALL         Sub FSU Take Sweep (MKPK)
 12.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 12.009  MATH         RBW_1kHz = MEM
 12.010  MATH         MEM = MEM / 1E+3
 12.011  MEMCX        1.000kHz       3%

 13.001  HEAD         -2 3 dB Bandwidth: 10 kHz
 13.002  TSET         TDESC = 10 kHz
 13.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.003  9640         +Level = 0 dBm; Freq = 128 MHz
 13.004  SCPI         BAND:RES 10E+3;:FREQ:SPAN 30E+3
 13.005  ACC          10.00kHz       0.10U
 13.006  TARGET       -m
 13.007  CALL         Sub FSU Take Sweep (MKPK)
 13.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 13.009  MATH         RBW_10kHz = MEM
 13.010  MATH         MEM = MEM / 1E+3
 13.011  MEMCX        10.00kHz       3%

 14.001  HEAD         -2 3 dB Bandwidth: 100 kHz
 14.002  TSET         TDESC = 100 kHz
 14.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.003  9640         +Level = 0 dBm; Freq = 128 MHz
 14.004  SCPI         BAND:RES 100E+3;:FREQ:SPAN 300E+3
 14.005  ACC          100.0kHz       1.0U
 14.006  TARGET       -m
 14.007  CALL         Sub FSU Take Sweep (MKPK)
 14.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 14.009  MATH         RBW_100kHz = MEM
 14.010  MATH         MEM = MEM / 1E+3
 14.011  MEMCX        100.0kHz       3%

 15.001  HEAD         -2 3 dB Bandwidth: 300 kHz
 15.002  TSET         TDESC = 300 kHz
 15.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 15.003  9640         +Level = 0 dBm; Freq = 128 MHz
 15.004  SCPI         BAND:RES 300E+3;:FREQ:SPAN 900E+3
 15.005  ACC          300.0kHz       3.0U
 15.006  TARGET       -m
 15.007  CALL         Sub FSU Take Sweep (MKPK)
 15.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 15.009  MATH         RBW_300kHz = MEM
 15.010  MATH         MEM = MEM / 1E+3
 15.011  MEMCX        300.0kHz       10%

 16.001  HEAD         -2 3 dB Bandwidth: 1 MHz
 16.002  TSET         TDESC = 1 MHz
 16.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.003  9640         +Level = 0 dBm; Freq = 128 MHz
 16.004  SCPI         BAND:RES 1E+6;:FREQ:SPAN 3E+6
 16.005  ACC          1.000MHz       0.010U
 16.006  TARGET       -m
 16.007  CALL         Sub FSU Take Sweep (MKPK)
 16.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 16.009  MATH         RBW_1MHz = MEM
 16.010  MATH         MEM = MEM / 1E+6
 16.011  MEMCX        1.000MHz       10%

 17.001  HEAD         -2 3 dB Bandwidth: 3 MHz
 17.002  TSET         TDESC = 3 MHz
 17.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 17.003  9640         +Level = 0 dBm; Freq = 128 MHz
 17.004  SCPI         BAND:RES 3E+6;:FREQ:SPAN 9E+6
 17.005  ACC          3.000MHz       0.030U
 17.006  TARGET       -m
 17.007  CALL         Sub FSU Take Sweep (MKPK)
 17.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 17.009  MATH         RBW_3MHz = MEM
 17.010  MATH         MEM = MEM / 1E+6
 17.011  MEMCX        3.000MHz       10%

 18.001  HEAD         -2 3 dB Bandwidth: 10 MHz
 18.002  TSET         TDESC = 10 MHz
 18.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.003  9640         +Level = 0 dBm; Freq = 128 MHz
 18.004  SCPI         BAND:RES 10E+6;:FREQ:SPAN 30E+6
 18.005  ACC          10.00MHz       0.10U
 18.006  TARGET       -m
 18.007  CALL         Sub FSU Take Sweep (MKPK)
 18.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 18.009  MATH         RBW_10MHz = MEM
 18.010  MATH         MEM = MEM / 1E+6
 18.011  MEMCX        10.00MHz       +10% -30%

 19.001  HEAD         -2 3 dB Bandwidth: 20 MHz
 19.002  TSET         TDESC = 20 MHz
 19.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 19.003  9640         +Level = 0 dBm; Freq = 128 MHz
 19.004  SCPI         BAND:RES 20E+6;:FREQ:SPAN 60E+6
 19.005  ACC          20.00MHz       0.40U
 19.006  TARGET       -m
 19.007  CALL         Sub FSU Take Sweep (MKPK)
 19.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 19.009  MATH         MEM = MEM / 1E+6
 19.010  MEMCX        20.00MHz       20%

 20.001  HEAD         -2 3 dB Bandwidth: 50 MHz
 20.002  TSET         TDESC = 50 MHz
 20.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 20.003  9640         +Level = 0 dBm; Freq = 999 MHz
 20.004  SCPI         BAND:RES 50E+6;:FREQ:CENT 999E+6;SPAN 150E+6
 20.005  ACC          50.00MHz       1.00U
 20.006  TARGET       -m
 20.007  CALL         Sub FSU Take Sweep (MKPK)
 20.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 20.009  MATH         MEM = MEM / 1E+6
 20.010  MEMCX        50.00MHz       20%

 21.001  MATH         @MkrMode = "Normal"
 21.002  9640         Reset
 21.003  SCPI         SYST:PRES

 21.004  RSLT         =
 21.005  HEAD         -2 {Shape Factor}: 100 Hz RBW
 21.006  TARGET       -p
 21.007  TSET         TDESC = 100 Hz
 21.008  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 21.009  SCPI         INP:ATT 10dB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
 21.009  SCPI         DISP:WIND:TRAC:Y 100 dB
 21.010  SCPI         FREQ:CENT 128E+6;SPAN 2E+3
 21.011  SCPI         BAND:RES 100;VID:RAT 0.1;:CALC:MARK:STAT ON
 21.012  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 21.012  9640         +Level = 0 dBm; Freq = 128 MHz
 21.013  SCPI         CALC:MARK:FUNC:NDBD 60dB;NDBD:STAT ON
 21.014  TARGET       -m
 21.015  CALL         Sub FSU Take Sweep (MKPK)
 21.016  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
# Compute 60 dB/3 dB selectivity ratio.
 21.017  MATH         MEM = MEM / RBW_100Hz
 21.018  MEMCX        0.00           +6.00U -0.00U

 22.001  HEAD         -2 Shape Factor: 1 kHz RBW
 22.002  TSET         TDESC = 1 kHz
 22.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 22.003  9640         +Level = 0 dBm; Freq = 128 MHz
 22.004  SCPI         BAND:RES 1E+3;:FREQ:SPAN 20E+3
 22.005  TARGET       -m
 22.006  CALL         Sub FSU Take Sweep (MKPK)
 22.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 22.008  MATH         MEM = MEM / RBW_1kHz
 22.009  MEMCX        0.00           +6.00U -0.00U

 23.001  HEAD         -2 Shape Factor: 10 kHz RBW
 23.002  TSET         TDESC = 10 kHz
 23.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 23.003  9640         +Level = 0 dBm; Freq = 128 MHz
 23.004  SCPI         BAND:RES 10E+3;:FREQ:SPAN 200E+3
 23.005  TARGET       -m
 23.006  CALL         Sub FSU Take Sweep (MKPK)
 23.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 23.008  MATH         MEM = MEM / RBW_10kHz
 23.009  MEMCX        0.00           +6.00U -0.00U

 24.001  HEAD         -2 Shape Factor: 100 kHz RBW
 24.002  TSET         TDESC = 100 kHz
 24.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 24.003  9640         +Level = 0 dBm; Freq = 128 MHz
 24.004  SCPI         BAND:RES 100E+3;:FREQ:SPAN 2E+6
 24.005  TARGET       -m
 24.006  CALL         Sub FSU Take Sweep (MKPK)
 24.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 24.008  MATH         MEM = MEM / RBW_100kHz
 24.009  MEMCX        0.00           +6.00U -0.00U

 25.001  HEAD         -2 Shape Factor: 300 kHz RBW
 25.002  TSET         TDESC = 300 kHz
 25.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 25.003  9640         +Level = 0 dBm; Freq = 128 MHz
 25.004  SCPI         BAND:RES 300E+3;:FREQ:SPAN 6E+6
 25.005  TOL          +12.00U -0.00U
 25.006  TARGET       -m
 25.007  CALL         Sub FSU Take Sweep (MKPK)
 25.008  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 25.009  MATH         MEM = MEM / RBW_300kHz
 25.010  MEMCX        0.00           TOL

 26.001  HEAD         -2 Shape Factor: 1 MHz RBW
 26.002  TSET         TDESC = 1 MHz
 26.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 26.003  9640         +Level = 0 dBm; Freq = 128 MHz
 26.004  SCPI         BAND:RES 1E+6;:FREQ:SPAN 20E+6
 26.005  TARGET       -m
 26.006  CALL         Sub FSU Take Sweep (MKPK)
 26.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 26.008  MATH         MEM = MEM / RBW_1MHz
 26.009  MEMCX        0.00           TOL

 27.001  HEAD         -2 Shape Factor: 3 MHz RBW
 27.002  TSET         TDESC = 3 MHz
 27.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 27.003  9640         +Level = 0 dBm; Freq = 128 MHz
 27.004  SCPI         BAND:RES 3E+6;:FREQ:SPAN 60E+6
 27.005  TARGET       -m
 27.006  CALL         Sub FSU Take Sweep (MKPK)
 27.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 27.008  MATH         MEM = MEM / RBW_3MHz
 27.009  MEMCX        0.00           +7.00U -0.00U

 28.001  HEAD         -2 Shape Factor: 10 MHz RBW
 28.002  TSET         TDESC = 10 MHz
 28.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 28.003  9640         +Level = 0 dBm; Freq = 128 MHz
 28.004  SCPI         BAND:RES 10E+6;:FREQ:SPAN 200E+6
 28.005  TARGET       -m
 28.006  CALL         Sub FSU Take Sweep (MKPK)
 28.007  SCPI         CALC:MARK:FUNC:NDBD:RES?[I]
 28.008  MATH         MEM = MEM / RBW_10MHz
 28.009  MEMCX        0.00           +7.00U -0.00U

 29.001  HEAD         -2
 29.002  9640         Reset
 29.003  SCPI         SYST:PRES

 29.004  END
