﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Set Configuration Variables
DATE:                  2011-03-02
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       262
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  This procedure defines variables to describe the UUT, fitted options, and
#  combinations thereof, for use at runtime to select the desired tests for
#  the exact UUT configuration of the FSU-series being verified. It also
#  lists the fitted options to the results.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# For brevity, set flags to identify model numbers.
  1.001  MATH         @FSU3  = FIND(@ModelNum, "FSU-3",  1)
  1.002  MATH         @FSU8  = FIND(@ModelNum, "FSU-8",  1)
  1.003  MATH         @FSU26 = FIND(@ModelNum, "FSU-26", 1)
  1.004  MATH         @FSU31 = FIND(@ModelNum, "FSU-31", 1)
  1.005  MATH         @FSU32 = FIND(@ModelNum, "FSU-32", 1)
  1.006  MATH         @FSU43 = FIND(@ModelNum, "FSU-43", 1)
  1.007  MATH         @FSU46 = FIND(@ModelNum, "FSU-46", 1)
  1.008  MATH         @FSU50 = FIND(@ModelNum, "FSU-50", 1)
  1.009  MATH         @FSU67 = FIND(@ModelNum, "FSU-67", 1)

  1.010  SCPI         SYST:LANG?[I$]
  1.011  MATH         @Language = MEM2

# If original language setting is not SCPI, set UUT to SCPI.
  1.012  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  1.013  SCPI         SYST:LANG 'SCPI'
  1.014  ENDIF

# Due to the fact that some specifications, e.g., Phase Noise, differ based
# on the UUT serial number, this statement parses the serial number from the
# model frequency suffix, e.g., 100223/026, to facilitate test decisions
# within applicable procedures.
  1.015  MATH         @SN = FLD(@SerialNum, 1, "/")

  1.016  RSLT         =
  1.017  HEAD         {INSTALLED OPTIONS}
  1.018  RSLT         =
  1.019  SCPI         *OPT?[I$]
  1.020  MATH         Options = MEM2

# Initialize variable (no options installed).
  1.021  MATH         Option = 0
# Extract installed option codes from ID string.
  1.022  MATH         @Opt_B4   = ZCMPI("B4",   FLD(Options,  2, ","))
  1.023  MATH         @Opt_B9   = ZCMPI("B9",   FLD(Options,  7, ","))
  1.024  MATH         @Opt_B10  = ZCMPI("B10",  FLD(Options,  8, ","))
  1.025  MATH         @Opt_B12  = ZCMPI("B12",  FLD(Options, 10, ","))
  1.026  MATH         @Opt_B73  = ZCMPI("B73",  FLD(Options, 12, ","))
  1.027  MATH         @Opt_B16  = ZCMPI("B16",  FLD(Options, 14, ","))
  1.028  MATH         @Opt_B100 = ZCMPI("B100", FLD(Options, 15, ","))
  1.029  MATH         @Opt_B27  = ZCMPI("B27",  FLD(Options, 16, ","))
  1.030  MATH         @Opt_B21  = ZCMPI("B21",  FLD(Options, 19, ","))
  1.031  MATH         @Opt_B23  = ZCMPI("B23",  FLD(Options, 21, ","))
  1.032  MATH         @Opt_B24  = ZCMPI("B24",  FLD(Options, 22, ","))
  1.033  MATH         @Opt_B25  = ZCMPI("B25",  FLD(Options, 23, ","))
  1.034  MATH         @Opt_K74  = ZCMPI("K74",  FLD(Options, 24, ","))
  1.035  MATH         @Opt_K76  = ZCMPI("K76",  FLD(Options, 26, ","))
  1.036  MATH         @Opt_K51  = ZCMPI("K51",  FLD(Options, 27, ","))
  1.037  MATH         @Opt_K30  = ZCMPI("K30",  FLD(Options, 28, ","))
  1.038  MATH         @Opt_K40  = ZCMPI("K40",  FLD(Options, 29, ","))
  1.039  MATH         @Opt_K5   = ZCMPI("K5",   FLD(Options, 30, ","))
  1.040  MATH         @Opt_K77  = ZCMPI("K77",  FLD(Options, 31, ","))
  1.041  MATH         @Opt_K7   = ZCMPI("K7",   FLD(Options, 32, ","))
  1.042  MATH         @Opt_K8   = ZCMPI("K8",   FLD(Options, 33, ","))
  1.043  MATH         @Opt_K9   = ZCMPI("K9",   FLD(Options, 34, ","))
  1.044  MATH         @Opt_K72  = ZCMPI("K72",  FLD(Options, 35, ","))
  1.045  MATH         @Opt_K73  = ZCMPI("K73",  FLD(Options, 36, ","))
  1.046  MATH         @Opt_K82  = ZCMPI("K82",  FLD(Options, 38, ","))
  1.047  MATH         @Opt_K83  = ZCMPI("K83",  FLD(Options, 39, ","))
  1.048  MATH         @Opt_K84  = ZCMPI("K84",  FLD(Options, 40, ","))
  1.049  MATH         @Opt_K85  = ZCMPI("K85",  FLD(Options, 41, ","))
  1.050  MATH         @Opt_K86  = ZCMPI("K86",  FLD(Options, 42, ","))
  1.051  MATH         @Opt_B88  = FIND(Options, "B88",  1)

  1.052  IF           @Opt_B4
  1.053  RSLT         = FSU-B4   (OCXO, 10 MHz)
  1.054  MATH         Option = 1
  1.055  ENDIF

  1.056  IF           @Opt_B9
  1.057  RSLT         = FSU-B9   (Tracking Generator, 100 kHz to 3 GHz)
  1.058  MATH         Option = 1
  1.059  ENDIF

  1.060  IF           @Opt_B10
  1.061  RSLT         = FSP-B10  (External Generator Control)
  1.062  MATH         Option = 1
  1.063  ENDIF

  1.064  IF           @Opt_B12
  1.065  RSLT         = FSU-B12  (Tracking Generator Output Attenuator)
  1.066  MATH         Option = 1
  1.067  ENDIF

  1.068  IF           @Opt_B16
  1.069  RSLT         = FSP-B16  (LAN Interface)
  1.070  MATH         Option = 1
  1.071  ENDIF

  1.072  IF           @Opt_B21
  1.073  RSLT         = FSU-B21  (External Mixer Support)
  1.074  MATH         Option = 1
  1.075  ENDIF

  1.076  IF           @Opt_B23
  1.077  RSLT         = FSU-B23  (20 dB RF Preamplifier, 3.6 to 26.5 GHz)
  1.078  MATH         Option = 1
  1.079  ENDIF

  1.080  IF           @Opt_B24
  1.081  RSLT         = FSU-B24  (20 dB RF Preamplifier, 20 Hz to 40 GHz)
  1.082  MATH         Option = 1
  1.083  ENDIF

  1.084  IF           @Opt_B25
  1.085  RSLT         = FSU-B25  (Electronic Attenuator)
  1.086  MATH         Option = 1
  1.087  ENDIF

  1.088  IF           @Opt_B27
  1.089  RSLT         = FSU-B27  (Broadband FM Demodulator)
  1.090  MATH         Option = 1
  1.091  ENDIF

  1.092  IF           @Opt_B73
  1.093  RSLT         = FSU-B73  (Vector Signal Analysis)
  1.094  MATH         Option = 1
  1.095  ENDIF

  1.096  IF           @Opt_B88
  1.097  RSLT         = FSU-B88  (RF Converter)
  1.098  MATH         Option = 1
  1.099  ENDIF

  1.100  IF           @Opt_B100
  1.101  RSLT         = FSQ-B100 (IQ Memory Extension)
  1.102  MATH         Option = 1
  1.103  ENDIF

  1.104  IF           @Opt_K5
  1.105  RSLT         = FS-K5    (GSM-GSM/EDGE Application)
  1.106  MATH         Option = 1
  1.107  ENDIF

  1.108  IF           @Opt_K7
  1.109  RSLT         = FS-K7    (FM Measurement Demodulator)
  1.110  MATH         Option = 1
  1.111  ENDIF

  1.112  IF           @Opt_K8
  1.113  RSLT         = FS-K8    (Bluetooth® Transmitter Measurement)
  1.114  MATH         Option = 1
  1.115  ENDIF

  1.116  IF           @Opt_K9
  1.117  RSLT         = FS-K9    (Power Sensor Measurements)
  1.118  MATH         Option = 1
  1.119  ENDIF

  1.120  IF           @Opt_K30
  1.121  RSLT         = FS-K30   (Noise Figure and Gain Measurements)
  1.122  MATH         Option = 1
  1.123  ENDIF

  1.124  IF           @Opt_K40
  1.125  RSLT         = FS-K40   (Phase Noise Measurement)
  1.126  MATH         Option = 1
  1.127  ENDIF

  1.128  IF           @Opt_K51
  1.129  RSLT         = FS-K51   (Synchronized Step Sweep)
  1.130  MATH         Option = 1
  1.131  ENDIF

  1.132  IF           @Opt_K72
  1.133  RSLT         = FS-K72   (3GPP BTS/Node B FDD Application)
  1.134  MATH         Option = 1
  1.135  ENDIF

  1.136  IF           @Opt_K73
  1.137  RSLT         = FS-K73   (3GPP UE FDD Application)
  1.138  MATH         Option = 1
  1.139  ENDIF

  1.140  IF           @Opt_K74
  1.141  RSLT         = FS-K74   (3GPP HSDPA BTS Application)
  1.142  MATH         Option = 1
  1.143  ENDIF

  1.144  IF           @Opt_K76
  1.145  RSLT         = FS-K76   (3GPP TD-SCDMA BTS Application)
  1.146  MATH         Option = 1
  1.147  ENDIF

  1.148  IF           @Opt_K77
  1.149  RSLT         = FS-K77   (3GPP TD-SCDMA UE Application)
  1.150  MATH         Option = 1
  1.151  ENDIF

  1.152  IF           @Opt_K82
  1.153  RSLT         = FS-K82   (CDMA2000®/1xEV-DV BTS Application)
  1.154  MATH         Option = 1
  1.155  ENDIF

  1.156  IF           @Opt_K83
  1.157  RSLT         = FS-K83   (CDMA2000®/1xEV-DV MS Application)
  1.158  MATH         Option = 1
  1.159  ENDIF

  1.160  IF           @Opt_K84
  1.161  RSLT         = FS-K84   (CDMA2000®/1xEV-DO BTS Application)
  1.162  MATH         Option = 1
  1.163  ENDIF

  1.164  IF           @Opt_K85
  1.165  RSLT         = FS-K85   (CDMA2000®/1xEV-DO MS Application)
  1.166  MATH         Option = 1
  1.167  ENDIF

  1.168  IF           @Opt_K86
  1.169  RSLT         = FS-K86   (CDMA2000®/1xEV-DV MS Application)
  1.170  MATH         Option = 1
  1.171  ENDIF

  1.172  IF           NOT(Option)
  1.173  RSLT         = No Options Installed
  1.174  ENDIF

  1.175  END
