﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU TOI Test /SWPG,UWSG
DATE:                  2011-02-09
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       98
CONFIGURATION:         Sweep Generator
CONFIGURATION:         µW Signal Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
#  Subprocedures:
#        Sub Output Off /UWSG
#        Sub Apply /SWPG
#        Sub FSU Take Sweep (MKPK)
#        Sub FSU Set Ref Level (dBm) /SWPG
#        Sub Apply /UWSG
#        Sub FSU Set Ref Level (dBm) /UWSG
#        Sub FSU Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  IEEE         [@UWSG]
  1.004  ENDIF

  1.005  HEAD         -2 Center Frequency: [V @TestFreq]
  1.006  SCPI         FREQ:CENT [V @TestFreq];:CALC:MARK:FUNC:TOI OFF
  1.007  TSET         TDESC = [V @TestFreq]; CPT = [V @Nominal] dBm
  1.008  TSET         UUT_RES = 0.1
  1.009  CALL         Sub Output Off /UWSG
  1.010  HEAD         -2 Setting SWPG [V @SWPG_Freq] Test Level...
  1.011  CALL         Sub Apply /SWPG
  1.012  CALL         Sub FSU Take Sweep (MKPK)
  1.013  SCPI         CALC:MARK:Y?[I]
  1.014  CALL         Sub FSU Set Ref Level (dBm) /SWPG
  1.015  CALL         Sub Output Off /SWPG
  1.016  HEAD         -2 Setting UWSG [V @UWSG_Freq] Test Level...
  1.017  CALL         Sub Apply /UWSG
  1.018  CALL         Sub FSU Take Sweep (MKPK)
  1.019  SCPI         CALC:MARK:Y?[I]
  1.020  CALL         Sub FSU Set Ref Level (dBm) /UWSG
  1.021  CALL         Sub Apply /SWPG
  1.022  CALL         Sub FSU Take Sweep Only
  1.023  SCPI         CALC:MARK:FUNC:TOI ON
  1.024  HEAD         -2 Measuring [V @TestFreq] Third Order Intercept...
  1.025  TSET         CPT = [V @Nominal]
  1.026  TARGET       -m
# Set UUT span to 200 kHz to obtain accurate TOI measurement.
  1.027  SCPI         FREQ:SPAN 200E+3
  1.028  CALL         Sub FSU Take Sweep Only
  1.029  SCPI         CALC:MARK:FUNC:TOI:RES?[I]

# Specified uncertainty assumes negligible UUT frequency response error over
# a narrow measurement span (±50 kHz of center frequency) with primary error
# sources being:
#
# - Display Linearity (±0.1 dB, 0-70 dB, ±0.3 dB, 70-90 dB)
# - Resolution Bandwidth Uncertainty (3% of specified bandwidth)
#
# Two relative measurements, one for each upper and lower intermod products,
# are averaged for computed readout. The uncertainties associated with each
# are rss'd.

  1.030  IF           MEM >= 10 && MEM < 25
  1.031  TOL          0.29U
  1.032  ELSEIF       MEM >= 25
  1.033  TOL          0.52U
  1.034  ENDIF

  1.035  ACC          dBm            TOL                                   +W
  1.036  MATH         MEM1 = @Nominal
  1.037  MEMCX        dBm            +M1U
  2.001  END
